---
slug: species-homepage
title: Species homepage
description: How to navigate the species homepage
---

# Species homepage

The Species homepage provides information about the genome assembly and gene annotation for each species genome, alongside controls to manage your list of species genomes.  

## How to turn a species genome 'on' or 'off'

A species genome can be turned 'on' or 'off' in the Species homepage by toggling between 'Use' and 'Don't Use', respectively. 
The 'Use' 'Don't Use' toggle button is found next to the Species homepage header ie the species and assembly names.

### 'On'

If you select 'Use' the species genome will appear for use in all the apps. 

### 'Off'

If you select 'Don't use' the species genome will be disabled in all other apps, but will still appear in your list of species genomes in the Species selector. 

## How to remove a species genome

To remove the species from your list in the Species selector, select 'Remove species'. 

You will be shown a warning to confirm you want to delete the species genome from your list. 

If you are still sure you want to delete the species genome from your list select the green 'Remove' button.

If you decide not to delete that species genome select the 'Do not remove' option.

## Finding a gene in a species genome

To find a gene from a Species homepage select 'Find a gene' or the magnifying glass icon in the Action bar and search for your gene of interest.

Select the gene of interest and you will be given the option to view the gene in the Genome browser or Entity viewer app.

## Statistics table 

The table displays summary statistics of the number of coding genes, non-coding genes and pseudogenes found in a species genome.
 
The table also contains a summary of the genome assembly and the variation, regulation and comparative data statistics for the genome. 

Select the expand icon to find more detailed information about each category.

You can also select the 'Example gene' to view a gene in the Entity viewer or Genome browser respectively.

## Summary panel

The Summary panel can be opened and closed using the '>' icon on the right hand side of the Species homepage. 

The Summary panel contains information about the genome assembly and gene annotation, such as the INSDC accession number, the assembly level and the gene annotation method and date.

## How to leave the Species homepage

To leave the Species homepage and return to the Species selector, select '<' or 'Find a species' to the left of the 'Species homepage' header.
